/* LED 7 segment 4 digit meter
 *  Added scaling to read from 0 to 5V
 */
#define Version "SADARC_SevSeg_Voltmeter"

#include "SevSeg.h"
SevSeg sevseg; //Instantiate a seven segment controller object

#define InputVolts A0
float Voltage = 0;

void setup() {
  byte numDigits = 4;
  // pins in order to suit the TSB5882 display
             // digits 1, 2, 3, 4 (staring from the left)
  byte digitPins[] = {11,10, 8, 4};
             // segment  a, b, c, d, e, f, g, dp 
  byte segmentPins[] = {13, 7, 9,12, 5, 6, 2, 3};
   
  bool resistorsOnSegments = true; // 'false' means resistors are on digit pins
  byte hardwareConfig = COMMON_ANODE; // See README.md for options
  bool updateWithDelays = false; // Default 'false' is Recommended
  bool leadingZeros = false; // Use 'true' if you'd like to keep the leading zeros
  bool disableDecPoint = false; // Use 'true' if your decimal point doesn't exist or isn't connected
  
  sevseg.begin(hardwareConfig, numDigits, digitPins, segmentPins, resistorsOnSegments,
  updateWithDelays, leadingZeros, disableDecPoint);
  sevseg.setBrightness(100);
}

void loop() {
  Voltage = analogRead(InputVolts);
  float Vout ;
  Vout = ((Voltage*5000)/1024); // scale for 0-5V. (5V Vref/10bits)
    sevseg.setNumber(Vout, 3);  // 3 decimal places. A bit silly as there is not high resolution.
 
  sevseg.refreshDisplay(); // Must run repeatedly

}
